## What to do to be able to get the NetFPGA running

* State as of 2019-05-10.
* With Ubuntu 19.04
* Vivado 2018.3
* SDNET 2018.2

There are a variety of hard coded scripts flying around in the
Internet, so try to stick to the proposed paths below.

Various things are likely to fail on your path, so take a good bag of
good nerves.


### Get Vivado, SDNET

* Go xilinx.com
* Create an account
* Browse/dig through the website until you find a HUGE sdnet download
* Browse/dig through the website until you find a REALLY HUGE vivado
  download

### Install SDNnet

* Unpack the file, run xsetup, put stuff below /opt/Xilinx

### Install Vivado

* Install libtinfo5 manually (if you don't, the vivado install hangs
  forever)
* Unpack the file, run xsetup, put stuff below /opt/Xilinx

### Install NetPFGA support

```
mkdir -p ~/projects
cd ~/projects
git clone git@github.com:NetFPGA/P4-NetFPGA-live.git
```

Do NOT trust manuals to checkout a specific version, especially not
v1.2.0, it is broken with vivado 2018.3. Also, DO NOT trust this
manual, it might already be outdated at the time reading.
